Skip to content

deployment_ssh_key_register

Register an SSH public key for the current workspace

Tool

deployment_ssh_key_register

Register an SSH public key for the current workspace

Register an SSH public key for the current workspace

Behavior

HTTP
POST /deployment/ssh-keys

Arguments

Name
Type
Required
Description
name
string
•
Human label for the key, e.g. "my-laptop"
publicKey
string
•
OpenSSH public key line (ssh-ed25519 / ssh-rsa ...)

Response

Field
Type
Always
Description
id
string
•
algo
string
•
name
string
•
scope
string
•
createdAt
string
•
productId
string
•
lastUsedAt
string
•
ownerIdentityId
string
•
fingerprintSha256
string
•

Try it

Register an SSH public key for the current workspace.

When to use

Register an SSH public key for the current workspace

Example

Ask your agent something like this:

Register an SSH public key for the current workspace.

The agent will invoke deployment_ssh_key_register with these arguments:

{
  "name": "<name>",
  "publicKey": "<publicKey>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select